---------------------------------------------------------------------------------------------------
--
-- Title       : registrador
-- Design      : registrador
-- Author      : CPD
-- Company     : PUCRS
--
---------------------------------------------------------------------------------------------------
--
-- File        : registrador.vhd
-- Generated   : Tue Mar 22 10:58:55 2005
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {registrador} architecture {registrador}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity registrador_1bit is
	 port(
		 D : in STD_LOGIC;
		 clock : in STD_LOGIC;
		 reset : in STD_LOGIC;
		 Q : out STD_LOGIC
	     );
end registrador_1bit;

--}} End of automatically maintained section

architecture registrador_1bit of registrador_1bit is
begin

	 process (clock)
begin
	
	if 	reset='1' then
		Q<='0'; 
	elsif clock'event and clock='1' then  --CLK rising edge
		Q <= D;
	end if;
	
end process;


end registrador_1bit;
